DeluxHostAPI Reference
API tokens & permissions

List API tokens

GET
/v1/account/api-tokens

Authorization

apiToken account:tokens:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: account:tokens:read

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
items*array<>
curl -X GET 'https://api.deluxhost.net/v1/account/api-tokens' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "items": [    {      "id": 0,      "name": "string",      "prefix": "string",      "scopes": [        "account:read"      ],      "createdAt": "2019-08-24T14:15:22Z",      "lastUsedAt": null,      "expiresAt": null,      "revokedAt": null    }  ]}